<?php
// Credit Louviaux Jean-Marc 2014
define('checkaccess', TRUE);
include('../config/config_main.php');
include('../scripts/memory.php');
date_default_timezone_set($DTZ);

@$shmid = shmop_open($LIVEMEMORY, 'a', 0, 0);
if (!empty($shmid)) {
    $size = shmop_size($shmid);
    shmop_close($shmid);
    $shmid = shmop_open($LIVEMEMORY, 'c', 0644, $size);
    $data  = shmop_read($shmid, 0, $size);
    $array = json_decode($data, true);
    shmop_close($shmid);
    $array['stamp'] = date("H:i:s");
    
    $nowutc = strtotime(date('Ymd H:i:s'));
    if ($nowutc - $array['UTC'] > 15) {
        for ($i = 1; $i <= $NUMMETER; $i++) {
            include("../config/config_met$i.php");
            $array["${'METNAME'.$i}$i"] = 0;
        }
        $array['stamp'] .= ' - communication lost';
    }
    header("Content-type: text/json");
    echo json_encode($array);
}
?>
